#!/usr/bin/python
##### Slabljenje dezja - S53MV 30.03.2018 #####

#parametri ITU-R 838-3 f,kh,ah,kv,av
p3=[3.5,0.0001155,1.4189,0.0002346,1.1387]
p6=[6,0.0007056,1.5900,0.0004878,1.5728]
p11=[11,0.01772,1.2140,0.01731,1.1617]
p18=[18,0.07078,1.0818,0.07708,1.0025]
p30=[30,0.2403,0.9485,0.2291,0.9129]
p50=[50,0.6600,0.8084,0.6472,0.7871]
p80=[80,1.1704,0.7115,1.1668,0.7021]

def f(p):	#risanje grafa parametrov
	x=[]		#polja za risanje grafa
	y=[]
	z=[]
	k=1.01		#korak grafa
	r=1.005
	while r<100:	#zanka po jakosti dezja
		x=x+[r]
		y=y+[p[1]*(r**p[2])]
		z=z+[p[3]*(r**p[4])]
		r=r*k		#povecaj r za korak
	return x,y,z

import matplotlib.pyplot as plt		#risanje grafa funkcije
fig=plt.figure()
x,y,z=f(p3)
plt.loglog(x,y,'k-')
plt.loglog(x,z,'k--')
x,y,z=f(p6)
plt.loglog(x,y,'b-')
plt.loglog(x,z,'b--')
x,y,z=f(p11)
plt.loglog(x,y,'c-')
plt.loglog(x,z,'c--')
x,y,z=f(p18)
plt.loglog(x,y,'g-')
plt.loglog(x,z,'g--')
x,y,z=f(p30)
plt.loglog(x,y,'y-')
plt.loglog(x,z,'y--')
x,y,z=f(p50)
plt.loglog(x,y,'r-')
plt.loglog(x,z,'r--')
x,y,z=f(p80)
plt.loglog(x,y,'m-')
plt.loglog(x,z,'m--')
plt.axis([1,100,0.01,100])
plt.title('Slabljenje padavin pri $f$=3.5,6,11,18,30,50,80GHz po ITU-R 838-3'+'\n')
plt.xlabel('Jakost padavin $R$ [mm/h]')
plt.ylabel(r'Slabljenje $\gamma$ [dB/km]')
plt.grid(True)
fig.savefig('dez.svg', transparent=True)
plt.show()

#konec programa

